> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/es/proxies/high-bandwidth-proxies.md).

# Proxies de alto ancho de banda

Aprende a usar Oxylabs High-Bandwidth Proxies para tareas intensivas en tráfico, como scraping de video y audio.

## Primeros pasos

Para empezar a usar nuestros [**High Bandwidth Proxies**](https://oxylabs.io/products/high-bandwidth-proxies) para la extracción de datos de video y audio, contacta con nuestro equipo de ventas para recibir tu endpoint dedicado. Cada cliente obtiene un Proxy Endpoint único configurado según sus necesidades específicas. Para integrar directamente esta solución con `yt_dlp` biblioteca, consulta el [ejemplo](#example-integration-youtube-downloader) a continuación, o consulta nuestros [Agent Skills](#agent-skills) para flujos de trabajo de IA.

## Configuración del endpoint

Después de recibir tu endpoint del equipo de gestión de cuentas, obtendrás:

* Un Proxy Endpoint dedicado
* Tu nombre de usuario y contraseña
* Número de puerto (predeterminado: `60000`)

## Ejemplo de integración: YouTube Downloader

Aquí tienes un ejemplo usando `yt-dlp` con nuestros High Bandwidth Proxies para la extracción de datos de video o audio:

### Uso básico

{% tabs %}
{% tab title="Bash" %}

```bash
yt-dlp --proxy username-$(openssl rand -hex 16):password@endpoint:60000 \\
"https://www.youtube.com/watch?v=WNCl-69POro"
```

{% endtab %}

{% tab title="Python" %}

```python
import os
import yt_dlp

username = 'YOUR_USERNAME'
password = 'YOUR_PASSWORD'

proxy = f'http://{username}-{os.urandom(16).hex()}:{password}@your-endpoint:60000'

ydl_opts = {
    'proxy': proxy,
}

with yt_dlp.YoutubeDL(ydl_opts) as ydl:
    ydl.download(['https://www.youtube.com/watch?v=WNCl-69POro'])
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Para un rendimiento óptimo, asegúrate de que cada video se descargue usando una dirección IP separada. Consulta la sección siguiente para obtener orientación.
{% endhint %}

### Múltiples URL con diferentes IPs

Al usar High Bandwidth Proxies, cada video se descarga con una dirección IP separada para garantizar el rendimiento óptimo. Esto se logra generando un ID de sesión único para cada solicitud, lo que asigna de forma efectiva una nueva dirección IP para cada descarga.

{% tabs %}
{% tab title="Bash" %}

```bash
# First video with one IP
yt-dlp --proxy username-$(openssl rand -hex 16):password@endpoint:60000 \\
"https://www.youtube.com/watch?v=6stlCkUDG_s"

# Second video with different IP
yt-dlp --proxy username-$(openssl rand -hex 16):password@endpoint:60000 \\
"https://www.youtube.com/watch?v=gsnqXt7d1mU"
```

{% endtab %}

{% tab title="Python" %}

```python
import os
import yt_dlp

def download_with_new_ip(url, username, password):
    session_id = os.urandom(16).hex()
    proxy = f'http://{username}-{session_id}:{password}@your-endpoint:60000'

    ydl_opts = {
        'proxy': proxy
    }
    
    with yt_dlp.YoutubeDL(ydl_opts) as ydl:
        try:
            print(f"Downloading {url} with new IP ({username}-{session_id})...")
            ydl.download([url])
            print(f"Successfully downloaded {url}")
        except Exception as e:
            print(f"Error downloading {url}: {str(e)}")

def main():
    username = 'YOUR_USERNAME'
    password = 'YOUR_PASSWORD'
    
    videos = [
        'https://www.youtube.com/watch?v=6stlCkUDG_s',
        'https://www.youtube.com/watch?v=gsnqXt7d1mU'
    ]
    
    for video in videos:
        download_with_new_ip(video, username, password)

if __name__ == "__main__":
    main()

```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
La función incluye un manejo básico de errores para garantizar que el proceso continúe incluso si una descarga falla.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/products/es/proxies/high-bandwidth-proxies.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
